public class Pieza{
    /////////////////////////////// Parameters
    protected String nombre;    // El hijo define su nombre
    protected char sigla;       // El hijo define su sigla
    protected Jugador duenio;   // Para que solo el pueda darle comandos
    protected int valor;        // En ajedrez cada pieza tienen un valor o puntaje
    //////////////////////  COLOR LETRAS
    public static final String ANSI_RESET = "\u001B[0m";
    public static final String ANSI_BLACK = "\u001B[30m";
    public static final String ANSI_RED = "\u001B[31m";
    public static final String ANSI_GREEN = "\u001B[32m";
    public static final String ANSI_YELLOW = "\u001B[33m";
    public static final String ANSI_BLUE = "\u001B[34m";
    public static final String ANSI_PURPLE = "\u001B[35m";
    public static final String ANSI_CYAN = "\u001B[36m";
    public static final String ANSI_WHITE = "\u001B[37m";

    /////////////////////////////// Inicializators
    public Pieza(Jugador duenio){
        this.duenio = duenio;
    }
    /////////////////////////////// Methods
    public String getColor(){
        if (this.duenio == null){
            return ANSI_RESET;
        }
        if (this.duenio.getN() == 1){
            return ANSI_RED;
        }
        if (this.duenio.getN() == 2){
            return ANSI_BLUE;
        }
        else{
            return ANSI_RESET;
        }
    }
    public Jugador getDuenio(){
        return this.duenio;
    }
    public String getNombre(){
        return this.nombre;
    }
    public char getSigla(){
        return this.sigla;
    }
    public int getValor(){
        return this.valor;
    }
    public boolean validarMovimiento(Casilla casillaActual, Casilla casillaObjtivo, Tablero tablero){
        return false;
    }
}