public class Alfil extends Pieza {
    /////////////////////////////// Inicializators
    public Alfil(Jugador duenio){
        super(duenio);
        this.nombre = "Alfil";
        this.sigla = 'A';
        this.valor = 3;
    }
    
    /////////////////////////////// Methods
    public boolean validarMovimiento(Casilla casillaActual, Casilla casillaObjtivo, Tablero tablero){
        int x = casillaActual.getX();
        int y = casillaActual.getY();
        int xo = casillaObjtivo.getX();
        int yo = casillaObjtivo.getY();
        boolean puede = false;
        if (casillaActual.equals(casillaObjtivo)){
            return puede;
        }
        if (this.getDuenio().equals(casillaObjtivo.getPieza().getDuenio())){
            return false;
        }
        if (x+y == xo+yo){
            puede = true;
            if (y<yo){
                for (int i=1; i<yo-y; i++){
                    if ((tablero.getCasilla(x-i,y+i).getPieza() instanceof Vacio) == false){
                        puede = false;
                    }
                }
            }
            if (yo<y){
                for (int i=1; i<y-yo; i++){
                    if ((tablero.getCasilla(x+i,y-i).getPieza() instanceof Vacio) == false){
                        puede = false;
                    }
                }
            }
        }
        if (yo-xo == y-x){
            puede = true;
            if (y<yo){
                for (int i=1; i<yo-y; i++){
                    if ((tablero.getCasilla(x+i,y+i).getPieza() instanceof Vacio) == false){
                        puede = false;
                    }
                }
            }
            if (yo<y){
                for (int i=1; i<y-yo; i++){
                    if ((tablero.getCasilla(x-i,y-i).getPieza() instanceof Vacio) == false){
                        puede = false;
                    }
                }
            }
        }
        return puede;
    }

}