import java.io.*;
import java.lang.Thread.State;

public class Juego implements Runnable{
    /////////////////////////////// Parameters
    private int turno;
    private int state=0;
    private final Tablero tablero;
    private Jugador jugador1=new Jugador(1);
    private Jugador jugador2=new Jugador(2);
    private String tableroImprimir;

    /////////////////////////////// Inicializators
    public Juego(){
        this.turno = 1;
        this.tablero = new Tablero(jugador1, jugador2);
        this.state=0;
    }
    /////////////////////////////// RUN
    public String get_board_string(int id){
        return tablero.get_game_board(id);
    }
    public int get_state(){
        return state;
    }
    public int get_turn(){
        return turno;
    }
    public void run(){

    }
    public String getTableroImprimir(){
        return this.tableroImprimir;
    }
    public void run_game(Object lock, String [] msg_from_client, String [] msg_to_client,Thread[] ServersThreads) throws InterruptedException {
        this.state=1;
        System.out.println("Comienza el juego");
        synchronized(lock){
            System.out.println("GAME: Notifico Comienza el juego");
            lock.notifyAll();
        }
        int i = 0;
        BufferedReader keyboardInput;
        String input;
        boolean jugadaInvalida;
        keyboardInput = new BufferedReader(new InputStreamReader(System.in));
        while (i<200){
            System.out.println(tablero.get_game_board(1));
            System.out.println(tablero.get_game_board(2));
            msg_to_client[0]= tablero.get_game_board(1);
            msg_to_client[1]= tablero.get_game_board(2);
            Thread.sleep(500);
            synchronized(lock){
                    System.out.println("GAME: Notifico Actualizo msg_to_client (get_game_board)");
                    lock.notifyAll();
            }
            synchronized(lock){
                System.out.println("GAME: Espero que se envie el tablero");
                lock.wait();
            }
            // synchronized(lock){
            //     lock.wait();
            //     System.out.println("GAME: NOTIFYED 1 (procedo a la jugada)");
            // }
            jugadaInvalida = true;
            if (this.turno == 1){
                //try{
                    while (jugadaInvalida){
                        Thread.sleep(1000);
                        System.out.println("GAME: Juega el jugador 1");
                        synchronized(lock){
                            lock.notifyAll();
                            System.out.println("GAME: Espero Movimiento");
                            lock.wait();
                        }
                        input = msg_from_client[0];
                        //input = keyboardInput.readLine();
                        int[] coordenadas = jugador1.traducirMovimiento(input, tablero);
                        if (tablero.efectuarMovimiento(jugador1, jugador2, coordenadas[0], coordenadas[1], coordenadas[2], coordenadas[3])){
                            jugadaInvalida = false; 
                        }
                    }
                //}
                // catch(IOException e){
                //     System.out.println("Error de buffer de entrada");
                // }
                this.nextTurno();
            }
            System.out.println(tablero.get_game_board(1));
            System.out.println(tablero.get_game_board(2));
            msg_to_client[0]= tablero.get_game_board(1);
            msg_to_client[1]= tablero.get_game_board(2);
            Thread.sleep(1000);
            synchronized(lock){
                    System.out.println("GAME: Notifico Actualizo msg_to_client (get_game_board)");
                    lock.notifyAll();
            }
            synchronized(lock){
                System.out.println("GAME: Espero que se envie el tablero");

                lock.wait();
            }
            jugadaInvalida = true;
            if (this.turno == 2){
                // try{
                    while (jugadaInvalida){
                        Thread.sleep(1000);
                        System.out.println("GAME: Juega el jugador 2");
                        synchronized(lock){
                            lock.notifyAll();
                            System.out.println("GAME: Espero Movimiento");
                            lock.wait();
                        }
                        input = msg_from_client[1];
                        // input = keyboardInput.readLine();
                        int[] coordenadas = jugador2.traducirMovimiento(input, tablero);
                        if (tablero.efectuarMovimiento(jugador2, jugador1, coordenadas[0], coordenadas[1], coordenadas[2], coordenadas[3])){
                            jugadaInvalida = false;
                        }
                    }
                this.nextTurno();
            }
            i++;
        }
    }

    /////////////////////////////// Methods
    public void nextTurno(){
        if (this.turno == 1){
            this.turno = 2;
        }
        else{
            this.turno = 1;
        }
    }
    public boolean jaque(){
        return false;
    }
}