public class Peon extends Pieza {
    /////////////////////////////// Inicializators
    public Peon(Jugador duenio){
        super(duenio);
        this.nombre = "Peon";
        this.sigla = 'P';
        this.valor = 1;
    }
    
    /////////////////////////////// Methods
    public boolean validarMovimiento(Casilla casillaActual, Casilla casillaObjtivo, Tablero tablero){
        int x = casillaActual.getX();
        int y = casillaActual.getY();
        int xo = casillaObjtivo.getX();
        int yo = casillaObjtivo.getY();
        boolean puede = false;
        if (casillaActual.equals(casillaObjtivo)){
            return puede;
        }
        if (this.duenio.getN() == 1){
            if ((x == xo) && (y == yo-1) && (casillaObjtivo.getPieza() instanceof Vacio)){
                puede = true;
            }
            if ((x == xo) && (y == 1) && (3 == yo) && (casillaObjtivo.getPieza() instanceof Vacio)){
                puede = true;
            }
            if (((x == xo-1) || (x == xo+1)) && (y == yo-1) && (casillaObjtivo.getPieza().getDuenio().equals(null) == false) && (casillaObjtivo.getPieza().getDuenio().equals(this.duenio) == false)){                
                puede = true;
            }
        }
        if (this.duenio.getN() == 2){
            if ((x == xo) && (y == yo+1) && (casillaObjtivo.getPieza() instanceof Vacio)){                
                puede = true;
            }
            if ((x == xo) && (y == 6) && (4 == yo) && (casillaObjtivo.getPieza() instanceof Vacio)){
                puede = true;
            }
            if (((x == xo-1) || (x == xo+1)) && ((y == yo+1)) && ((casillaObjtivo.getPieza().getDuenio().equals(null) == false)) && ((casillaObjtivo.getPieza().getDuenio().equals(this.duenio) == false))){                
                puede = true;
            }
        }
        return puede;
    }

}