
/**
 * Servidor Ajedrez
 */
import java.io.*;
import java.lang.Thread.State;
import java.net.*;

public class Servidor implements Runnable {
    static Juego Juego1;
    static ServerSocket mysocket;
    static int portnumber;
    Socket con_sock;
    static int players_in = 0;
    int id_jugador;
    static String[] msg_from_game={new String(),new String()};
    static String[] msg_to_game={new String(),new String()};
    Boolean flag_msg_from_game = true;
    Boolean flag_msg_to_game = false;
    static Thread[] serverThread={new Thread(),new Thread(),new Thread()};
    private static final class Lock {
    }

    private final static Object lock = new Lock();

    public Servidor(Socket s, int id_player) {
        try {
            System.out.println("Cliente conectado");
            con_sock = s;
            id_jugador = id_player;
        } catch (final Exception e) {
            e.printStackTrace();
        }
    }

    public void run() {
        try {
            final DataInputStream in = new DataInputStream(con_sock.getInputStream());
            final DataOutputStream out = new DataOutputStream(con_sock.getOutputStream());
            String message_out;
            String message_in;
            // Envio Tablero en un String
            boolean primerTurno = true;
            while (true) {
                if (Juego1.get_state() == -1) {
                    System.out.println("Fin de la partida");
                    break;
                } 
                else if (Juego1.get_state() == 0) {
                    message_out = Juego1.get_board_string(id_jugador);
                    out.writeUTF(message_out);
                    out.writeUTF(Integer.toString(id_jugador));
                    synchronized (lock) {
                        lock.wait();
                        System.out.println("HILO"+Integer.toString(id_jugador)+": Empieza El Juego");
                    }
                } 
                else {
                    //Envio de mensaje
                    //Esperar Mensaje de juego
                    //if (primerTurno){
                    //    primerTurno = false;
                    //Envio Tableros
                    synchronized (lock) {
                        System.out.println("HILO"+id_jugador+":Espero Para Envio Tablero");
                        lock.wait();
                    }
                    //}
                    System.out.println("HILO"+id_jugador+": Envio tablero");
                    message_out = msg_from_game[id_jugador-1];          // Tablero 
                    out.writeUTF(message_out);
                    System.out.println("HILO"+id_jugador+":  Notifico Envie tablero");
                    Thread.sleep(1000);
                    synchronized(lock){
                        if(serverThread[0].getState()==State.WAITING || serverThread[1].getState()==State.WAITING){
                        }
                        else{
                            lock.notify();
                        }
                    }
                    synchronized(lock){
                        System.out.println("HILO"+id_jugador+": Espero turno");
                        lock.wait();
                    }            
                    int turno = Juego1.get_turn();        
                    // System.out.println("HILO"+Integer.toString(id_jugador)+": Envio numero de quien juega, jugador " + Integer.toString(turno));
                    out.writeUTF(Integer.toString(turno));  //
                    // System.out.println("HILO"+Integer.toString(id_jugador)+": Envio: " + msg_from_game[id_jugador-1]);
                    // message_out = msg_from_game[id_jugador-1];          // Quien juega 
                    // out.writeUTF(message_out); 
                    //Recepcion Comando
                    if(turno==id_jugador){
                        System.out.println("HILO"+id_jugador+": Espero a que se me envie la jugada");
                        message_in = in.readUTF();
                        msg_to_game[id_jugador-1]=message_in;
                        synchronized (lock) {
                            System.out.println("HILO"+id_jugador+":  Notifico recibi la jugada");
                            lock.notifyAll();
                        }
                    }
                    else{
                        System.out.println("HILO"+id_jugador+": Espero a que el otro hilo haga su jugada");
                        synchronized (lock) {
                            lock.wait();
                            out.writeUTF(msg_to_game[turno-1]);
                        }
                    }
                    // System.out.println("HILO"+Integer.toString(id_jugador)+": Notifico que se intento o se hizo una jugada");
                    // out.writeUTF("jugada"); 
                    // Entra el comando desde el cliente
                }
            }
            // Leo el mensaje que me envia
            con_sock.close();

        } catch (final Exception e) {
            e.printStackTrace();
        }
    }

    public static void main(final String[] args) throws Exception {// args[0]=portnumber
        portnumber = Integer.parseInt(args[0]);
        // Creamos el socket del servidor
        System.out.println("Servidor iniciado");
        mysocket = new ServerSocket(portnumber);
        Juego1 = new Juego();
        int i = 0;
        while (i < 200) {
            i++;
            if (players_in < 2) {
                final Socket sock = mysocket.accept();
                players_in++;
                final Servidor server = new Servidor(sock, players_in);
                serverThread[players_in-1]= new Thread(server);
                // final Thread serverThread = new Thread(server);
                serverThread[players_in-1].start();
            } else {
                serverThread[2]=Thread.currentThread();
                Thread.sleep(500);
                Juego1.run_game(lock, msg_to_game, msg_from_game,serverThread);
            }
        }
    }
}